in scala.xml
class Document

`class` Document
  `extends` scala.xml.NodeSeq
  `with` scala.xml.pull.XMLEvent
  `with` scala.ScalaObject

  A document information item (according to InfoSet spec). The comments are copied from the Infoset spec, only augmented with some information on the Scala types for definitions that might have no value. also plays the role of an `XMLEvent` for pull parsing

Author:
  Burak Emir
Version:
  1.0, 26/04/2005

Constructor Summary
| `def` this

Var Summary
| `var` allDeclarationsProcessed : scala.Boolean 9. This property is not strictly speaking part of the infoset of the document. Rather it is an indication of whether the processor has read the complete DTD. Its value is a boolean. If it is false, then certain properties (indicated in their descriptions below) may be unknown. If it is true, those properties are never unknown.
| `var` baseURI : java.lang.String The base URI of the document entity.
| `var` children : scala.Seq[scala.xml.Node] An ordered list of child information items, in document order. The list contains exactly one element information item. The list also contains one processing instruction information item for each processing instruction outside the document element, and one comment information item for each comment outside the document element. Processing instructions and comments within the DTD are excluded. If there is a document type declaration, the list also contains a document type declaration information item.
| `var` docElem : scala.xml.Node The element information item corresponding to the document element.
| `var` dtd : scala.xml.dtd.DTD The dtd that comes with the document, if any
| `var` encoding : scala.Option[java.lang.String] The name of the character encoding scheme in which the document entity is expressed.
| `var` standAlone : scala.Option[scala.Boolean] An indication of the standalone status of the document, either true or false. This property is derived from the optional standalone document declaration in the XML declaration at the beginning of the document entity, and has no value (`None`) if there is no standalone document declaration.
| `var` version : scala.Option[java.lang.String] A string representing the XML version of the document. This property is derived from the XML declaration optionally present at the beginning of the document entity, and has no value (`None`) if there is no XML declaration.

Def Summary
| `def` notations : scala.Seq[scala.xml.dtd.NotationDecl] An unordered set of notation information items, one for each notation declared in the DTD. If any notation is multiply declared, this property has no value.
| `def` theSeq : scala.Seq[scala.xml.Node]
| `def` unparsedEntities : scala.Seq[scala.xml.dtd.EntityDecl] An unordered set of unparsed entity information items, one for each unparsed entity declared in the DTD.

Def inherited from scala.xml.NodeSeq
\ , \\, apply, apply, elements, equals, length, text, theSeq, toString

Constructor Detail

`def` this

Var Detail

`var` allDeclarationsProcessed : scala.Boolean

  9. This property is not strictly speaking part of the infoset of the document. Rather it is an indication of whether the processor has read the complete DTD. Its value is a boolean. If it is false, then certain properties (indicated in their descriptions below) may be unknown. If it is true, those properties are never unknown.

`var` baseURI : java.lang.String

  The base URI of the document entity.

`var` children : scala.Seq[scala.xml.Node]

  An ordered list of child information items, in document order. The list contains exactly one element information item. The list also contains one processing instruction information item for each processing instruction outside the document element, and one comment information item for each comment outside the document element. Processing instructions and comments within the DTD are excluded. If there is a document type declaration, the list also contains a document type declaration information item.

`var` docElem : scala.xml.Node

  The element information item corresponding to the document element.

`var` dtd : scala.xml.dtd.DTD

  The dtd that comes with the document, if any

`var` encoding : scala.Option[java.lang.String]

  The name of the character encoding scheme in which the document entity is expressed.

`var` standAlone : scala.Option[scala.Boolean]

  An indication of the standalone status of the document, either true or false. This property is derived from the optional standalone document declaration in the XML declaration at the beginning of the document entity, and has no value (`None`) if there is no standalone document declaration.

`var` version : scala.Option[java.lang.String]

  A string representing the XML version of the document. This property is derived from the XML declaration optionally present at the beginning of the document entity, and has no value (`None`) if there is no XML declaration.

Def Detail

`def` notations : scala.Seq[scala.xml.dtd.NotationDecl]

  An unordered set of notation information items, one for each notation declared in the DTD. If any notation is multiply declared, this property has no value.

`def` theSeq : scala.Seq[scala.xml.Node]

`def` unparsedEntities : scala.Seq[scala.xml.dtd.EntityDecl]

  An unordered set of unparsed entity information items, one for each unparsed entity declared in the DTD.